Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to get session information about a newly created account, created using a web form, without having to provide user credentials again.

HTTP request

POST /Agent/Account/GetSessionToken

Authentication

No authentication required.

Request (JSON)

{
}

Response (JSON)

{
	"AccountCreated":
	{
		"created": Required(DateTime(PCreated)),
		"enabled": Required(Bool(PEnabled)),
	    "updated": Optional(DateTime(PUpdated)),
		"canRelay": Required(Bool(PCanRelay)),
		"jwt": Required(Str(PJwt)),
		"expires": Required(DateTime(PExpires))
	},
	"seconds": Required(Int(0 < PSeconds <= 3600))
}

Response parameters

ParameterDescription
PSecondsRequested number of seconds before the JWT token that will be issued expires.
PCreatedWhen account was created (server timestamp).
PEnabledIf account is enabled or not. When creating an account, it’s disabled by default, until the e-mail address has been validated.
PCanRelayIf account can be used to relay e-mails.
PJwtA token representing the login to the account. This token is sent as a Bearer token in requests requiring authentication.
PExpiresWhen the JWT token expires. The token needs to be renewed before this token expires, if the client wishes to maintain the connection. After the token expires, the client needs to log in again.

Notes

This endpoint uses the request schema notation described in Pattern matching.